### Method

# Adw Toggle set_name

since: 1.7

#### Declaration [src]

    void
    adw_toggle_set_name (
      AdwToggle* self,
      const char* name
    )

#### Description [src]

Sets the name of `self` to `name`.

Allows accessing `self` by its name instead of index.

See `AdwToggleGroup:active-name`.

Available since: 1.7

Sets property | `Adw.Toggle:name`

#### Parameters

`name`

  Type: `const char*`

  A name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.